require 'my_web'
require 'cgi'
require 'iconv'

module AmarokGoogle
  def AmarokGoogle.getCoverUrl(query)
    url = "http://images.google.com/images?as_q=#{queryStr}&as_filetype=jpg"
    body = MyWeb.fetchFromHttp(url)
    matched = body.match(/dyn.Img\(\"[^\"]*\",\"[^\"]*\",\"[^\"]*\",\"([^\"]*)\",/)
    matched != nil ? matched.captures : nil
  end

  def AmarokGoogle.hasCover?
    !`dcop amarok player coverImage`.include?("100@nocover.png")
  end

  def AmarokGoogle.translate!(str)
    str.tr!('`', '_')
    str.tr!("\'", '_')
    str.tr!("\"", '_')
  end
end
