#!/usr/bin/ruby

$LOAD_PATH << File.expand_path(File.dirname(__FILE__))
require 'amarok_google'

lastURL = nil

loop do
  status = `dcop amarok player status`.chomp.to_i
  if status == 2 then
    encodedURL = `dcop amarok player encodedURL`
    if encodedURL != lastURL && !AmarokGoogle.hasCover? then
      lastURL = encodedURL
      path = `dcop amarok player path`.slice(/.*\//)
      return if path == nil
      path += `dcop amarok player album`.chomp + ".jpg"
      AmarokGoogle.translate!(path)
      artist = `dcop amarok player artist`.chomp.strip
      album = `dcop amarok player album`.chomp.strip
      query = artist + ' ' + album
      coverUrl = AmarokGoogle.getCoverUrl(query)
      if coverUrl != nil then
        `wget -O '#{path}' '#{coverUrl}'`
        `dcop amarok collection scanCollectionChanges`
      end
    end
  end
  sleep 10
end
